%define	upstream_name    DBD-CSV
%define upstream_version 0.36

%define _requires_exceptions /pro/bin/perl

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module to access CSV files through DBI
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/J/JZ/JZUCKER/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(DBD::File) >= 0.400.0
BuildRequires: perl(DBI) >= 1.614.0
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(SQL::Statement) >= 1.330.0
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(Text::CSV_XS) >= 0.910.0
BuildRequires: perl(charnames)
BuildArch:  noarch

%description
DBD::CSV is a Perl module that provides yet another driver for the DBI
(Database independent interface for Perl).  This one is based on the SQL
"engine" SQL::Statement and the abstract DBI driver DBD::File, and implements
access to so-called CSV files (comma seperated values).  Such files are
mostly used for exporting MS Access and MS Excel data.

%prep 
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Bundle/DBD/*
%{perl_vendorlib}/DBD/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.360.0-2.mga3
+ Revision: 364990
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 0.360.0-1.mga3
+ Revision: 291615
- update to 0.36

* Tue Jun 05 2012 jquelin <jquelin> 0.350.0-1.mga3
+ Revision: 254707
- update to 0.35

* Fri Sep 16 2011 takashi <takashi> 0.330.0-1.mga2
+ Revision: 144205
- upload to 0.33

* Wed Feb 16 2011 jquelin <jquelin> 0.310.0-1.mga1
+ Revision: 52571
- update to 0.31

* Fri Jan 21 2011 jquelin <jquelin> 0.300.0-1.mga1
+ Revision: 28457
- mageia rebuild
- imported package perl-DBD-CSV

